Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07475 DIP/Input Minor Always Nov 4, 2019, 05:02 May 26, 2021, 17:27
Tester drencorxeen View Status Public Platform MAME (Official Binary)
Assigned To tlindner Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver coco3.cpp
Version 0.215 Fixed in Version 0.233 Build 64-bit
Fixed in Git Commit 5a33c5e Github Pull Request #
Summary MESS-specific 07475: coco3: Joystick Buttons not working correctly from some ML games
Description When loading COLORCAR or MARBLE the fire bottons on the joysticks wont start the games.
Also using a quick basic test program when turning off P1(Right Controller) the fire buttons from basic no longer work for left controller in basic test program.
Steps To Reproduce COLORCAR:
(1) mame64.exe coco3 -flop1 curtis1.mfm
(2) LOADM"COLORCAR.BIN":EXEC
(3) Attempt to play game

MARBLE:
(1) mame64.exe coco3 -flop1 curtis1.mfm
(2) LOADM"MARBLE68.BIN":EXEC
(3) Attempt to play game

CoCo3 specific test basic program:
(1) mame64.exe coco3 -flop1 curtis1.mfm
(2) RUN"JOYCC3.BAS"
(3) axes and joystick buttons seem to work till you turn off P1 joystick then buttons don't work for other input.
Additional Information I as far as the games they also don't work in the coco1/2 systems either which would be the coco12.cpp driver.
Github Commit
Flags
Regression Version
Affected Sets / Systems coco3
Attached Files
zip file icon curtis1.zip (70,017 bytes) Nov 4, 2019, 05:02 Uploaded by drencorxeen
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.17167
Tafoid
Administrator
Nov 14, 2019, 01:33
edited on: Nov 14, 2019, 01:35
The first joystick, those read via joystk(0) and joystk(1), seem to be stable at 63 when they should move the axis value of the controllers x/y

Some good info here about Color Computer Joysticks (with a program similar to "joycc3" on disk)
https://www.atarimagazines.com/creative/v9n5/240_A_joystick_for_the_color_.php
User avatar
No.17171
drencorxeen
Tester
Nov 15, 2019, 21:57
I also found this in the CoCo 1/2 service manuals for testing the joysticks.
---------------------------------------------

10 CLS
20 A=JOYSTK(0)
30 B=JOYSTK(1)
40 C=JOYSTK(2)
50 D=JOYSTK(3)
60 E=(PEEK(65280) AND 1)
70 F=(PEEK(65280) AND 2)/2
80 PRINT@0,A,B,C,D,F,E
90 GOTO 20
User avatar
No.17233
drencorxeen
Tester
Dec 1, 2019, 04:39
So after some review of where the schematic shows the extra buttons go this new program should work across the board for CoCo 1,2, & 3.

10 CLS
20 A=JOYSTK(0)
30 B=JOYSTK(1)
40 C=JOYSTK(2)
50 D=JOYSTK(3)
60 E=(PEEK(65280) AND 1)
70 F=(PEEK(65280) AND 2)/2
80 G=(PEEK(65280) AND 4)/4
90 H=(PEEK(65280) AND 8)/8
100 PRINT@0,A,B,C,D,F,E,G,H
110 GOTO 20
User avatar
No.18897
tlindner
Tester
May 24, 2021, 03:53
Fixed in pull request 8099.